DISABLE_IRQ_NOSYNC(9)

NAME
disable_irq_nosync - disable an irq without waiting

SYNOPSIS

void disable_irq_nosync(unsigned int irq);

ARGUMENTS

irq
    Interrupt to disable

DESCRIPTION

Disable the selected interrupt line. Disables and Enables are nested. Unlike disable_irq, this function does not ensure existing instances of the IRQ handler have completed before returning.

This function may be called from IRQ context.

COPYRIGHT